Package org.apache.maven.scm.manager

## Class BasicScmManager

- java.lang.Object
- - org.apache.maven.scm.manager.AbstractScmManager
  - - org.apache.maven.scm.manager.BasicScmManager

All Implemented Interfaces:
  `ScmManager`

    public class BasicScmManager
    extends AbstractScmManager

Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.manager.ScmManager

`ROLE`

### Constructor Summary

Constructors
`BasicScmManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmLogger` `getScmLogger()`

### Methods inherited from class org.apache.maven.scm.manager.AbstractScmManager

`add, add, addScmProvider, blame, blame, branch, branch, changeLog, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, cleanScmUrl, diff, edit, export, export, export, export, getProviderByRepository, getProviderByType, getProviderByUrl, list, makeProviderScmRepository, makeScmRepository, mkdir, remove, setScmProvider, setScmProviderImplementation, setScmProviders, status, tag, tag, unedit, update, update, update, update, update, update, update, update, update, update, validateScmRepository`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicScmManager

    public BasicScmManager()

### Method Detail

#### getScmLogger

    protected ScmLogger getScmLogger()

Specified by:
  `getScmLogger` in class `AbstractScmManager`